<html>
<head>
<title>OgreD3D11RenderToVertexBuffer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D11RenderToVertexBuffer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D11RenderToVertexBuffer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D11RenderToVertexBuffer_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D11RenderToVertexBuffer_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderToVertexBuffer_8h.html">OgreRenderToVertexBuffer.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00044"></a><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html">00044</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html" title="An object which renders geometry to a vertex.">D3D11RenderToVertexBuffer</a> :
<a name="l00045"></a>00045         <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderToVertexBuffer.html" title="An object which renders geometry to a vertex.">RenderToVertexBuffer</a>
<a name="l00046"></a>00046     {
<a name="l00047"></a>00047     <span class="keyword">public</span>:
<a name="l00048"></a>00048         <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a0a09f8e75f4db56cba7dd0de7739967d">D3D11RenderToVertexBuffer</a>(<a class="code" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp; device, <a class="code" href="classOgre_1_1D3D11HardwareBufferManagerBase.html" title="Implementation of HardwareBufferManager for D3D11.">D3D11HardwareBufferManagerBase</a> * bufManager);
<a name="l00049"></a>00049         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#adeff19f9536e55ed09825154aa3d6e05">~D3D11RenderToVertexBuffer</a>(<span class="keywordtype">void</span>);
<a name="l00050"></a>00050 
<a name="l00054"></a>00054         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a5997d0e11a04c57322648d2be8850519" title="Get the render operation for this buffer.">getRenderOperation</a>(<a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00055"></a>00055 
<a name="l00059"></a>00059         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a905dd227952262c4012b56fea2f81668" title="Update the contents of this vertex buffer by rendering.">update</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sceneMgr);
<a name="l00060"></a>00060         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a2d7b1148b1d2bce3354eb4fde39ba59f">reallocateBuffer</a>(<span class="keywordtype">size_t</span> index);
<a name="l00061"></a>00061     <span class="keyword">protected</span>:
<a name="l00062"></a>00062         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a7ab267ae876d8cbcf2e0d2ef6fea6972">setupGeometryShaderLinkageToStreamOut</a>(<a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* pass);
<a name="l00063"></a>00063 
<a name="l00064"></a><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a013c8ed2caaaf4201534a951ed1f61fc">00064</a>         ID3D11GeometryShader* <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a013c8ed2caaaf4201534a951ed1f61fc">mpGeometryShader</a>;
<a name="l00065"></a><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a51b6e9f8bffae537f2e7f5c9dc57b0a1">00065</a>         <a class="code" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp; <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a51b6e9f8bffae537f2e7f5c9dc57b0a1">mDevice</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#aa053813d16f63bfee3de86a4ee845afe">00066</a>         <a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#aa053813d16f63bfee3de86a4ee845afe">mVertexBuffers</a>[2];
<a name="l00067"></a><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#ac0d5ff5fdc02aeb9269e3a2adf50c5ad">00067</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#ac0d5ff5fdc02aeb9269e3a2adf50c5ad">mFrontBufferIndex</a>;
<a name="l00068"></a><a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a714647efdcc4847986ef62508ecb3d70">00068</a>         <a class="code" href="classOgre_1_1D3D11HardwareBufferManagerBase.html" title="Implementation of HardwareBufferManager for D3D11.">D3D11HardwareBufferManagerBase</a> * <a class="code" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a714647efdcc4847986ef62508ecb3d70">mBufManager</a>;
<a name="l00069"></a>00069     };
<a name="l00070"></a>00070 }
<a name="l00071"></a>00071 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
